' <!-- COPYRIGHT HEADER

' Wechsel des Standarddruckers
' Author: Oliver Bochmann 
' Author: Sebastian Uhlig
' Author: Denny Ungerechts
' Company: http://www.ica-net.de
' Date: 24/08/2017
' Date: 06/10/2018
' Software Homepage: https://ticket.bibfk.de
' Software License: https://www.gnu.org/licenses/gpl.txt
'
' IMPORTANT! PLEASE READ CAREFULLY!
' 
' - This software is free to use under the GPL terms. You can use and distribute freely this code 
'   as long as the software credits appear perfectly VISIBLE AND INTACT at the bottom frame of the gallery.
'   This copyright header MUST be keept intact as well.
'
' - Removing or modifying the mentioned credits or copyright header without a license or written permission of the author 
'   is a VIOLATION OF THE LICENSE. If you want to be able to remove them, you need to 
'   buy a commercial license, for a small fee. More details in the script homepage.
' 
' If you would like to add comments or suggestions, rate this script or submit new layouts, go to the homepage contact form.
' 
' END COPYRIGHT HEADER -->


' Definition wie mit Fehlern umgegangen werden sollte (weitermachen ... )

On Error Resume Next

' Definiere Allgemeine Konstanten

Dim delemiterSymbol
Dim kundenportal
Dim fehlermeldung

delemiterSymbol = "-"
kundenportal = "https://ticket.bibfk.de"
fehlermeldung = "Fehler beim Konfigurieren des Standarddruckers: "
hinweis = "Melden Sie den Fehler bitte im Internet-Kundenportal unter: "

' Definiere Variablen fuer die Drucker

Dim bzbDrucker
Dim ddsDrucker
Dim mpbDrucker 
Dim ggsDrucker
Dim icaDrucker

' Initialisiere die Variablen

bzbDrucker = "BZB-einseitig-sw"
ddsDrucker = "DDS-einseitig"
mpbDrucker = "MPB-2.OG-einseitig" 
ggsDrucker = "GGS-einseitig"
icaDrucker = "OKI MC322"
' icaDrucker = "Fax"

' Definiere Variablen fuer die Druckserver (Papercut)

Dim bzbPrintserver
Dim ddsPrintserver
Dim mpbPrintserver
Dim ggsPrintserver
Dim icaPrintserver

Dim cmdManagePrinterPort
Dim tmpPrinterDescription
Dim tmpPrinterPortDescription
Dim tmpPrinterDriver

' Initialisiere die Variablen

bzbPrintserver = "172.16.9.240"
ddsPrintserver = "172.17.9.240"
mpbPrintserver = "172.18.9.240" 
ggsPrintserver = "172.16.9.240"
icaPrintserver = "172.20.9.240"



'Definiere Kuerzel / Tags fuer die Bibliotheken

Dim bzbTag
Dim bzbName

Dim ddsTAG
Dim ddsName

Dim mpbTag 
Dim mpbName

Dim ggsTag
Dim ggsName

Dim icaTag
Dim icaName

' Initialisiere die Variablen

bzbTag = "BZB"
bzbName = "Pablo-Neruda-Bibliothek"

ddsTAG = "DDS"
ddsName = "Friedrich-von-Raumer-Bibliothek"

mpbTag = "MPB" 
mpbName = "Wilhelm-Liebknecht-/ Namik-Kemal-Bibliothek"

ggsTag = "GGS"
ggsName = "Else-Ury-Familienbibliothek"

icaTag = "VCLIENT1" ' Kuerzel zum Testen, frei waehlbar, sollte Hostname entsprechen
icaName = "ICA-NET GmbH"

' Definiere die Pause-Zeiten

Dim kurzePause 
Dim langePause 
Dim pause1s

pause1s = 1
kurzePause = 5
langePause = 10

'Definiere Scaner-PCs

Dim mpbScanner1
Dim mpbScanner2

Dim icaScanner1

Dim bzbScanner1
Dim bzbScanner2
Dim bzbScanner3

' Initialisiere die Variablen

mpbScanner1 = "MPB-PAP-08"
mpbScanner2 = "MPB-PAP-09"

bzbScanner1 = "BZB-PAP-02"
bzbScanner2 = "BZB-PAP-04"
bzbScanner3 = "BZB-PAP-TEST-02"

icaScanner1 = "BZB-PAP-04"

' Definiere Variablen zum Auslesen des Hostnamen

Dim objNetwork
Dim strHostname

' Erstellung shell Objekt fuer Zugriff auf VBS-Dateien

Set objShellManagePrinter = CreateObject("WScript.Shell")
Dim cmdManagePrinter

' Erstellung shell Objekt fuer Zugriff auf Powershell-Dateien

Set objShellManagePowerShell = CreateObject("WScript.Shell")
Dim cmdPowerShell
Dim cmdPowerShellTrailer
cmdPowerShellTrailer = "powershell.exe -nologo "


function showScannerEpson()
	Const DestinationFile = "C:\Users\Benutzer_in\Desktop\EPSON Scan.lnk"
	Const DestinationFolder = "C:\Users\Benutzer_in\Desktop\"
	Const SourceFile = "c:\Links\EPSON Scan.lnk"
	Const SourceFolder = "c:\Links\"

	Set fso = CreateObject("Scripting.FileSystemObject")
		'Check to see if the file already exists in the destination folder
		If fso.FileExists(DestinationFile) Then
			'Check to see if the file is read-only
			If Not fso.GetFile(DestinationFile).Attributes And 1 Then
				'The file exists and is not read-only.  Safe to replace the file.
				fso.CopyFile SourceFile, DestinationFolder, True
			Else
				'The file exists and is read-only.
				'Remove the read-only attribute
				fso.GetFile(DestinationFile).Attributes = fso.GetFile(DestinationFile).Attributes - 1
				'Replace the file
				fso.CopyFile SourceFile, DestinationFolder, True
				'Reapply the read-only attribute
				fso.GetFile(DestinationFile).Attributes = fso.GetFile(DestinationFile).Attributes + 1
			End If
		Else
			'The file does not exist in the destination folder.  Safe to copy file to this folder.
			fso.CopyFile SourceFile, DestinationFolder, True
		End If
	Set fso = Nothing
end function


function showScannerHP()
	Const DestinationFile = "C:\Users\Benutzer_in\Desktop\HP Scanner G4010.lnk"
	Const DestinationFolder = "C:\Users\Benutzer_in\Desktop\"
	Const SourceFile = "c:\Links\HP Scanner G4010.lnk"
	Const SourceFolder = "c:\Links\"

	Set fso = CreateObject("Scripting.FileSystemObject")
		'Check to see if the file already exists in the destination folder
		If fso.FileExists(DestinationFile) Then
			'Check to see if the file is read-only
			If Not fso.GetFile(DestinationFile).Attributes And 1 Then
				'The file exists and is not read-only.  Safe to replace the file.
				fso.CopyFile SourceFile, DestinationFolder, True
			Else
				'The file exists and is read-only.
				'Remove the read-only attribute
				fso.GetFile(DestinationFile).Attributes = fso.GetFile(DestinationFile).Attributes - 1
				'Replace the file
				fso.CopyFile SourceFile, DestinationFolder, True
				'Reapply the read-only attribute
				fso.GetFile(DestinationFile).Attributes = fso.GetFile(DestinationFile).Attributes + 1
			End If
		Else
			'The file does not exist in the destination folder.  Safe to copy file to this folder.
			fso.CopyFile SourceFile, DestinationFolder, True
		End If
	Set fso = Nothing
end function

' Autor: SU
' Quelle: https://stackoverflow.com/questions/1729075/how-to-set-delay-in-vbscript
' Funktion: Wartet x Sekunden bis die Funktion zurückspringt

Function pause(time)
	' Übergabe der Zeit in Sekunden!
	' WScript.Echo "function pause(" & time & ")"
	Dim dteWait
	dteWait = DateAdd("s", time, Now())
	Do Until (Now() > dteWait)
	Loop
End Function


' Initialisierung des Druckerzugriffs

Set wshNet = CreateObject("WScript.Network")

' Auslesen des Host-Namen

Set objNetwork = WScript.CreateObject("WScript.Network")
strHostname = objNetwork.ComputerName



' Zerlegen des Namen in Einzelteile, mit dem definierten Trenner/Delemiter

arrayStrHostname = Split(strHostname, delemiterSymbol)

' Debugging Ausgabe

' WScript.Echo "Hostname: " & arrayStrHostname(0)

' Dispose des Netzwerkobjekts

' Set objNetwork = Nothing

' Pauschales loeschen aller Drucker

Dim comareString

Set oPrinters = WshNet.EnumPrinterConnections
	For i = 0 to oPrinters.Count -1

		' WScript.Echo "Druckername: " & oPrinters.Item(i)
		compareString = Ucase(CStr(oPrinters.Item(i))) ' Cast des Objects in einen String
		cmdManagePrinter = "cscript c:\links\prnmngr.vbs -d -p " & compareString
		
		if InStr(compareString, bzbTag) > 0 then
			' WScript.Echo "Match BZB: " & oPrinters.Item(i)

			objShellManagePrinter.run(cmdManagePrinter)

			' Entfernen von Netzwerkdruckern: 
			' WshNet.RemovePrinterConnection oPrinters.Item(i)
		end if
		if InStr(compareString, ggsTag) > 0 then
			' WScript.Echo "Match GGS: " & oPrinters.Item(i)

			objShellManagePrinter.run(cmdManagePrinter)
			
			' Entfernen von Netzwerkdruckern: 
			' WshNet.RemovePrinterConnection oPrinters.Item(i)
			WshNet.RemovePrinterConnection oPrinters.Item(i)
		end if 
		if InStr(compareString, ddsTag) > 0 then
			' WScript.Echo "Match DDS: " & oPrinters.Item(i)

			objShellManagePrinter.run(cmdManagePrinter)
			
			' Entfernen von Netzwerkdruckern: 
			' WshNet.RemovePrinterConnection oPrinters.Item(i)
		end if 
		if InStr(compareString, mpbTag) > 0 then
			' WScript.Echo "Match MPB: " & oPrinters.Item(i)

			objShellManagePrinter.run(cmdManagePrinter)
			
			' Entfernen von Netzwerkdruckern: 
			' WshNet.RemovePrinterConnection oPrinters.Item(i)
		end if 
	Next

	Err.Clear ' Notwendig, da aus irgendwelchen Gründen nicht alle Drucker angesprochen werden können

pause(kurzePause) 'Sleeps for x seconds

Select Case UCase( arrayStrHostname(0) )
  Case bzbTag
  
	' wshnet.AddWindowsPrinterConnection "\\172.16.9.240\BZB-einseitig-sw"
	' wshnet.AddWindowsPrinterConnection "\\172.16.9.240\BZB-einseitig-farbe"
	' wshnet.AddWindowsPrinterConnection "\\172.16.9.240\BZB-beidseitig-sw"
	' wshnet.AddWindowsPrinterConnection "\\172.16.9.240\BZB-beidseitig-farbe"

	tmpPrinterDescription = "BZB-einseitig-sw"
	tmpPrinterPortDescription = "IP_" & bzbPrintserver & "-" & tmpPrinterDescription
	tmpPrinterDriver = "HP Color LaserJet CP4025/4525 PCL6 Class Driver"
	
	' Hinzufügen von Port
	cmdManagePrinterPort = "cscript c:\links\prnport.vbs -a -o lpr -h " & bzbPrintserver & " -q " & tmpPrinterDescription & " -r " & tmpPrinterPortDescription 
	objShellManagePrinter.run(cmdManagePrinterPort)
	
	pause(pause1s)
	
	' Hinzufügen von Drucker und Bindung an Port
	cmdManagePrinter = "cscript c:\links\prnmngr.vbs -a -m """ & tmpPrinterDriver & """ -r " & tmpPrinterPortDescription & " -p " & tmpPrinterDescription 
	' WScript.Echo cmdManagePrinter ' Debug Output
	objShellManagePrinter.run(cmdManagePrinter) 

	''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
	
	tmpPrinterDescription = "BZB-einseitig-farbe"
	tmpPrinterPortDescription = "IP_" & bzbPrintserver & "-" & tmpPrinterDescription
	tmpPrinterDriver = "HP Color LaserJet CP4025/4525 PCL6 Class Driver"
	
	' Hinzufügen von Port
	cmdManagePrinterPort = "cscript c:\links\prnport.vbs -a -o lpr -h " & bzbPrintserver & " -q " & tmpPrinterDescription & " -r " & tmpPrinterPortDescription 
	objShellManagePrinter.run(cmdManagePrinterPort)
	
	pause(pause1s)
	
	' Hinzufügen von Drucker und Bindung an Port
	cmdManagePrinter = "cscript c:\links\prnmngr.vbs -a -m """ & tmpPrinterDriver & """ -r " & tmpPrinterPortDescription & " -p " & tmpPrinterDescription 
	' WScript.Echo cmdManagePrinter
	objShellManagePrinter.run(cmdManagePrinter) 
	
	
	''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
	
	tmpPrinterDescription = "BZB-beidseitig-sw"
	tmpPrinterPortDescription = "IP_" & bzbPrintserver & "-" & tmpPrinterDescription
	tmpPrinterDriver = "HP Color LaserJet CP4025/4525 PCL6 Class Driver"
	
	' Hinzufügen von Port
	cmdManagePrinterPort = "cscript c:\links\prnport.vbs -a -o lpr -h " & bzbPrintserver & " -q " & tmpPrinterDescription & " -r " & tmpPrinterPortDescription 
	objShellManagePrinter.run(cmdManagePrinterPort)
	
	pause(pause1s)
	
	' Hinzufügen von Drucker und Bindung an Port
	cmdManagePrinter = "cscript c:\links\prnmngr.vbs -a -m """ & tmpPrinterDriver & """ -r " & tmpPrinterPortDescription & " -p " & tmpPrinterDescription 
	' WScript.Echo cmdManagePrinter Debug Info
	objShellManagePrinter.run(cmdManagePrinter) 

	
	''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
	
	tmpPrinterDescription = "BZB-beidseitig-farbe"
	tmpPrinterPortDescription = "IP_" & bzbPrintserver & "-" & tmpPrinterDescription
	tmpPrinterDriver = "HP Color LaserJet CP4025/4525 PCL6 Class Driver"
	
	' Hinzufügen von Port
	cmdManagePrinterPort = "cscript c:\links\prnport.vbs -a -o lpr -h " & bzbPrintserver & " -q " & tmpPrinterDescription & " -r " & tmpPrinterPortDescription 
	objShellManagePrinter.run(cmdManagePrinterPort)
	
	pause(pause1s)
	
	' Hinzufügen von Drucker und Bindung an Port
	cmdManagePrinter = "cscript c:\links\prnmngr.vbs -a -m """ & tmpPrinterDriver & """ -r " & tmpPrinterPortDescription & " -p " & tmpPrinterDescription 
	' WScript.Echo cmdManagePrinter 'Debug Info
	objShellManagePrinter.run(cmdManagePrinter) 
	
	pause(kurzePause) 'Sleeps for x seconds	
	
	cmdPowerShell = cmdPowerShellTrailer & "Set-PrintConfiguration -PrinterName ""BZB-einseitig-sw"" -Color $False -DuplexingMode OneSided"
	objShellManagePowerShell.run(cmdPowerShell)
	
	cmdPowerShell = cmdPowerShellTrailer & "Set-PrinterProperty -PrinterName ""BZB-einseitig-sw"" -PropertyName ""Config:DuplexUnit"" -Value Installed -PrinterName "
	objShellManagePowerShell.run(cmdPowerShell)
	
	cmdPowerShell = cmdPowerShellTrailer & "Set-PrintConfiguration -PrinterName ""BZB-einseitig-farbe"" -Color $True -DuplexingMode OneSided"
	objShellManagePowerShell.run(cmdPowerShell)	
	
	cmdPowerShell = cmdPowerShellTrailer & "Set-PrinterProperty -PrinterName ""BZB-einseitig-farbe"" -PropertyName ""Config:DuplexUnit"" -Value Installed"
	objShellManagePowerShell.run(cmdPowerShell)	
	
	cmdPowerShell = cmdPowerShellTrailer & "Set-PrintConfiguration -PrinterName ""BZB-beidseitig-sw"" -Color $False -DuplexingMode TwoSidedLongEdge"
	objShellManagePowerShell.run(cmdPowerShell)	
	
	cmdPowerShell = cmdPowerShellTrailer & "Set-PrinterProperty -PrinterName ""BZB-beidseitig-sw"" -PropertyName ""Config:DuplexUnit"" -Value Installed"
	objShellManagePowerShell.run(cmdPowerShell)		

	cmdPowerShell = cmdPowerShellTrailer & "Set-PrintConfiguration -PrinterName ""BZB-beidseitig-farbe"" -Color $True -DuplexingMode TwoSidedLongEdge"
	objShellManagePowerShell.run(cmdPowerShell)	
	
	cmdPowerShell = cmdPowerShellTrailer & "Set-PrinterProperty -PrinterName ""BZB-beidseitig-farbe"" -PropertyName ""Config:DuplexUnit"" -Value Installed"
	objShellManagePowerShell.run(cmdPowerShell)	
	
	pause(langePause) ' Sleeps for x seconds
	
	' Netzwerkbasierter Standarddrucker
	' objNetwork.SetDefaultPrinter bzbDrucker
	
	cmdManagePrinter = "cscript c:\links\prnmngr.vbs  -t -p " & bzbDrucker
	objShellManagePrinter.run(cmdManagePrinter)
	
	If Err.Number <> 0 Then
		' WScript.Echo fehlermeldung & vbCrLf &  vbCrLf & VBTab & Err.Description & vbCrLf & vbCrLf & hinweis & vbCrLf & vbCrLf & VBTab & kundenportal & vbCrLf & vbCrLf & "Entschuldigung, Ihre" & vbCrLf & vbCrLf & VBTab & bzbName
		Err.Clear
	End If
	
  Case mpbTag

  	' wshnet.AddWindowsPrinterConnection "\\172.18.9.240\MPB-2.OG-einseitig"
	' wshnet.AddWindowsPrinterConnection "\\172.18.9.240\MPB-1.OG-beidseitig-farbe"
	' wshnet.AddWindowsPrinterConnection "\\172.18.9.240\MPB-1.OG-beidseitig-sw"
	' wshnet.AddWindowsPrinterConnection "\\172.18.9.240\MPB-1.OG-einseitig-farbe"  
	' wshnet.AddWindowsPrinterConnection "\\172.18.9.240\MPB-1.OG-einseitig-sw"
	' wshnet.AddWindowsPrinterConnection "\\172.18.9.240\MPB-2.OG-beidseitig"
	
	''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
	
	tmpPrinterDescription = "MPB-1.OG-einseitig-sw"
	tmpPrinterPortDescription = "IP_" & mpbPrintserver & "-" & tmpPrinterDescription
	tmpPrinterDriver = "Samsung CLP-680 Series PCL6 Class Driver"
	
	' Hinzufügen von Port
	cmdManagePrinterPort = "cscript c:\links\prnport.vbs -a -o lpr -h " & mpbPrintserver & " -q " & tmpPrinterDescription & " -r " & tmpPrinterPortDescription 
	objShellManagePrinter.run(cmdManagePrinterPort)
	
	pause(pause1s)
	
	' Hinzufügen von Drucker und Bindung an Port
	cmdManagePrinter = "cscript c:\links\prnmngr.vbs -a -m """ & tmpPrinterDriver & """ -r " & tmpPrinterPortDescription & " -p " & tmpPrinterDescription 
	' WScript.Echo cmdManagePrinter ' Debug Info
	objShellManagePrinter.run(cmdManagePrinter) 
	
	''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	tmpPrinterDescription = "MPB-1.OG-einseitig-farbe"
	tmpPrinterPortDescription = "IP_" & mpbPrintserver & "-" & tmpPrinterDescription
	tmpPrinterDriver = "Samsung CLP-680 Series PCL6 Class Driver"
	
	' Hinzufügen von Port
	cmdManagePrinterPort = "cscript c:\links\prnport.vbs -a -o lpr -h " & mpbPrintserver & " -q " & tmpPrinterDescription & " -r " & tmpPrinterPortDescription 
	objShellManagePrinter.run(cmdManagePrinterPort)
	
	pause(pause1s)
	
	' Hinzufügen von Drucker und Bindung an Port
	cmdManagePrinter = "cscript c:\links\prnmngr.vbs -a -m """ & tmpPrinterDriver & """ -r " & tmpPrinterPortDescription & " -p " & tmpPrinterDescription 
	' WScript.Echo cmdManagePrinter ' Debug Info
	objShellManagePrinter.run(cmdManagePrinter) 

	''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	tmpPrinterDescription = "MPB-1.OG-beidseitig-sw"
	tmpPrinterPortDescription = "IP_" & mpbPrintserver & "-" & tmpPrinterDescription
	tmpPrinterDriver = "Samsung CLP-680 Series PCL6 Class Driver"
	
	' Hinzufügen von Port
	cmdManagePrinterPort = "cscript c:\links\prnport.vbs -a -o lpr -h " & mpbPrintserver & " -q " & tmpPrinterDescription & " -r " & tmpPrinterPortDescription 
	objShellManagePrinter.run(cmdManagePrinterPort)
	
	pause(pause1s)
	
	' Hinzufügen von Drucker und Bindung an Port
	cmdManagePrinter = "cscript c:\links\prnmngr.vbs -a -m """ & tmpPrinterDriver & """ -r " & tmpPrinterPortDescription & " -p " & tmpPrinterDescription 
	' WScript.Echo cmdManagePrinter ' Debug Info
	objShellManagePrinter.run(cmdManagePrinter) 


	''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	tmpPrinterDescription = "MPB-1.OG-beidseitig-farbe"
	tmpPrinterPortDescription = "IP_" & mpbPrintserver & "-" & tmpPrinterDescription
	tmpPrinterDriver = "Samsung CLP-680 Series PCL6 Class Driver"
	
	' Hinzufügen von Port
	cmdManagePrinterPort = "cscript c:\links\prnport.vbs -a -o lpr -h " & mpbPrintserver & " -q " & tmpPrinterDescription & " -r " & tmpPrinterPortDescription 
	objShellManagePrinter.run(cmdManagePrinterPort)
	
	pause(pause1s)
	
	' Hinzufügen von Drucker und Bindung an Port
	cmdManagePrinter = "cscript c:\links\prnmngr.vbs -a -m """ & tmpPrinterDriver & """ -r " & tmpPrinterPortDescription & " -p " & tmpPrinterDescription 
	' WScript.Echo cmdManagePrinter ' Debug Info
	objShellManagePrinter.run(cmdManagePrinter) 

	''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	tmpPrinterDescription = "MPB-2.OG-einseitig"
	tmpPrinterPortDescription = "IP_" & mpbPrintserver & "-" & tmpPrinterDescription
	tmpPrinterDriver = "Samsung M332x 382x 402x Series"
	
	' Hinzufügen von Port
	cmdManagePrinterPort = "cscript c:\links\prnport.vbs -a -o lpr -h " & mpbPrintserver & " -q " & tmpPrinterDescription & " -r " & tmpPrinterPortDescription 
	objShellManagePrinter.run(cmdManagePrinterPort)
	
	pause(pause1s)
	
	' Hinzufügen von Drucker und Bindung an Port
	cmdManagePrinter = "cscript c:\links\prnmngr.vbs -a -m """ & tmpPrinterDriver & """ -r " & tmpPrinterPortDescription & " -p " & tmpPrinterDescription 
	' WScript.Echo cmdManagePrinter ' Debug Info
	objShellManagePrinter.run(cmdManagePrinter) 	

	''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	tmpPrinterDescription = "MPB-2.OG-beidseitig"
	tmpPrinterPortDescription = "IP_" & mpbPrintserver & "-" & tmpPrinterDescription
	tmpPrinterDriver = "Samsung M332x 382x 402x Series"
	
	' Hinzufügen von Port
	cmdManagePrinterPort = "cscript c:\links\prnport.vbs -a -o lpr -h " & mpbPrintserver & " -q " & tmpPrinterDescription & " -r " & tmpPrinterPortDescription 
	objShellManagePrinter.run(cmdManagePrinterPort)
	
	pause(pause1s)
	
	' Hinzufügen von Drucker und Bindung an Port
	cmdManagePrinter = "cscript c:\links\prnmngr.vbs -a -m """ & tmpPrinterDriver & """ -r " & tmpPrinterPortDescription & " -p " & tmpPrinterDescription 
	' WScript.Echo cmdManagePrinter ' Debug Info
	objShellManagePrinter.run(cmdManagePrinter) 	
	
	pause(kurzePause) 'Sleeps for x seconds
	
	cmdPowerShell = cmdPowerShellTrailer & "Set-PrintConfiguration -PrinterName ""MPB-1.OG-einseitig-sw"" -Color $False -DuplexingMode OneSided"
	objShellManagePowerShell.run(cmdPowerShell)		
	
	cmdPowerShell = cmdPowerShellTrailer & "Set-PrinterProperty -PrinterName ""MPB-1.OG-einseitig-sw"" -PropertyName ""Config:DuplexUnit"" -Value TRUE"
	objShellManagePowerShell.run(cmdPowerShell)		
	
	cmdPowerShell = cmdPowerShellTrailer & "Set-PrintConfiguration -PrinterName ""MPB-1.OG-einseitig-farbe"" -Color $True -DuplexingMode OneSided"
	objShellManagePowerShell.run(cmdPowerShell)	

	cmdPowerShell = cmdPowerShellTrailer & "Set-PrinterProperty -PrinterName ""MPB-1.OG-einseitig-farbe"" -PropertyName ""Config:DuplexUnit"" -Value TRUE"
	objShellManagePowerShell.run(cmdPowerShell)		

	cmdPowerShell = cmdPowerShellTrailer & "Set-PrintConfiguration -PrinterName ""MPB-1.OG-beidseitig-sw"" -Color $False -DuplexingMode TwoSidedLongEdge"
	objShellManagePowerShell.run(cmdPowerShell)	
	
	cmdPowerShell = cmdPowerShellTrailer & "Set-PrinterProperty -PrinterName ""MPB-1.OG-beidseitig-sw"" -PropertyName ""Config:DuplexUnit"" -Value TRUE"
	objShellManagePowerShell.run(cmdPowerShell)	
	
	cmdPowerShell = cmdPowerShellTrailer & "Set-PrintConfiguration -PrinterName ""MPB-1.OG-beidseitig-farbe"" -Color $True -DuplexingMode TwoSidedLongEdge"
	objShellManagePowerShell.run(cmdPowerShell)	
	
	cmdPowerShell = cmdPowerShellTrailer & "Set-PrinterProperty -PrinterName ""MPB-1.OG-beidseitig-farbe"" -PropertyName ""Config:DuplexUnit"" -Value TRUE"
	objShellManagePowerShell.run(cmdPowerShell)
	
	cmdPowerShell = cmdPowerShellTrailer & "Set-PrintConfiguration -PrinterName ""MPB-2.OG-einseitig"" -DuplexingMode OneSided"
	objShellManagePowerShell.run(cmdPowerShell)
	
	cmdPowerShell = cmdPowerShellTrailer & "Set-PrintConfiguration -PrinterName ""MPB-2.OG-beidseitig"" -DuplexingMode TwoSidedLongEdge"
	objShellManagePowerShell.run(cmdPowerShell)
	
	pause(langePause) 'Sleeps for x seconds
  
	' Netzwerkbasierter Standarddrucker
	' objNetwork.SetDefaultPrinter mpbDrucker
	cmdManagePrinter = "cscript c:\links\prnmngr.vbs  -t -p " & mpbDrucker
	objShellManagePrinter.run(cmdManagePrinter)
	
	If Err.Number <> 0 Then
		' WScript.Echo fehlermeldung & vbCrLf &  vbCrLf & VBTab & Err.Description & vbCrLf & vbCrLf & hinweis & vbCrLf & vbCrLf & VBTab & kundenportal & vbCrLf & vbCrLf & "Entschuldigung, Ihre" & vbCrLf & vbCrLf & VBTab & mpbName
		Err.Clear
	End If
	
  Case ddsTAG

	' wshnet.AddWindowsPrinterConnection "\\172.17.9.240\DDS-einseitig"
	' wshnet.AddWindowsPrinterConnection "\\172.17.9.240\DDS-beidseitig"

	''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	tmpPrinterDescription = "DDS-einseitig"
	tmpPrinterPortDescription = "IP_" & ddsPrintserver & "-" & tmpPrinterDescription
	tmpPrinterDriver = "Samsung ML-371x Series PCL6 Class Driver"
	
	' Hinzufügen von Port
	cmdManagePrinterPort = "cscript c:\links\prnport.vbs -a -o lpr -h " & ddsPrintserver & " -q " & tmpPrinterDescription & " -r " & tmpPrinterPortDescription 
	objShellManagePrinter.run(cmdManagePrinterPort)
	
	pause(pause1s)
	
	' Hinzufügen von Drucker und Bindung an Port
	cmdManagePrinter = "cscript c:\links\prnmngr.vbs -a -m """ & tmpPrinterDriver & """ -r " & tmpPrinterPortDescription & " -p " & tmpPrinterDescription 
	' WScript.Echo cmdManagePrinter
	objShellManagePrinter.run(cmdManagePrinter) 

	''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
	
	tmpPrinterDescription = "DDS-beidseitig"
	tmpPrinterPortDescription = "IP_" & ddsPrintserver & "-" & tmpPrinterDescription
	tmpPrinterDriver = "Samsung ML-371x Series PCL6 Class Driver"
	
	' Hinzufügen von Port
	cmdManagePrinterPort = "cscript c:\links\prnport.vbs -a -o lpr -h " & ddsPrintserver & " -q " & tmpPrinterDescription & " -r " & tmpPrinterPortDescription 
	objShellManagePrinter.run(cmdManagePrinterPort)
	
	pause(pause1s)
	
	' Hinzufügen von Drucker und Bindung an Port
	cmdManagePrinter = "cscript c:\links\prnmngr.vbs -a -m """ & tmpPrinterDriver & """ -r " & tmpPrinterPortDescription & " -p " & tmpPrinterDescription 
	' WScript.Echo cmdManagePrinter
	objShellManagePrinter.run(cmdManagePrinter)	

	pause(kurzePause) 'Sleeps for x seconds	
	
	cmdPowerShell = cmdPowerShellTrailer & "Set-PrintConfiguration -PrinterName ""DDS-einseitig"" -DuplexingMode OneSided"
	objShellManagePowerShell.run(cmdPowerShell)
	
	cmdPowerShell = cmdPowerShellTrailer & "Set-PrinterProperty -PrinterName ""DDS-einseitig"" -PropertyName ""Config:DuplexUnit"" -Value TRUE"
	objShellManagePowerShell.run(cmdPowerShell)
	
	cmdPowerShell = cmdPowerShellTrailer & "Set-PrintConfiguration -PrinterName ""DDS-beidseitig"" -DuplexingMode TwoSidedLongEdge"
	objShellManagePowerShell.run(cmdPowerShell)	

	cmdPowerShell = cmdPowerShellTrailer & "Set-PrinterProperty -PrinterName ""DDS-beidseitig"" -PropertyName ""Config:DuplexUnit"" -Value TRUE"
	objShellManagePowerShell.run(cmdPowerShell)

	pause(langePause) 'Sleeps for x seconds
	
	' Netzwerkbasierter Standarddrucker
	' objNetwork.SetDefaultPrinter ddsDrucker
	cmdManagePrinter = "cscript c:\links\prnmngr.vbs  -t -p " & ddsDrucker
	objShellManagePrinter.run(cmdManagePrinter)
	
  	If Err.Number <> 0 Then
		' WScript.Echo fehlermeldung & vbCrLf &  vbCrLf & VBTab & Err.Description & vbCrLf & vbCrLf & hinweis & vbCrLf & vbCrLf & VBTab & kundenportal & vbCrLf & vbCrLf & "Entschuldigung, Ihre" & vbCrLf & vbCrLf & VBTab & ddsName
		Err.Clear
	End If
  
  Case ggsTag

  	wshnet.AddWindowsPrinterConnection "\\172.16.9.240\GGS-einseitig"
  
	pause(langePause) 'Sleeps for x seconds
	
	' Netzwerkbasierter Standarddrucker
	' objNetwork.SetDefaultPrinter ggsDrucker
	
	cmdManagePrinter = "cscript c:\links\prnmngr.vbs  -t -p " & ggsDrucker
	objShellManagePrinter.run(cmdManagePrinter)  
	
  	If Err.Number <> 0 Then
		' WScript.Echo fehlermeldung & vbCrLf &  vbCrLf & VBTab & Err.Description & vbCrLf & vbCrLf & hinweis & vbCrLf & vbCrLf & VBTab & kundenportal & vbCrLf & vbCrLf & "Entschuldigung, Ihre" & vbCrLf & vbCrLf & VBTab & ggsName
		Err.Clear
	End If

  
  Case icaTag
	objNetwork.SetDefaultPrinter icaDrucker

	If Err.Number <> 0 Then
		' WScript.Echo fehlermeldung & vbCrLf &  vbCrLf & VBTab & Err.Description & vbCrLf & vbCrLf & hinweis & vbCrLf & vbCrLf & VBTab & kundenportal & vbCrLf & vbCrLf & "Entschuldigung, Ihre" & vbCrLf & vbCrLf & VBTab & icaName
		Err.Clear
	End If

	
End Select

' Kopieren der der Scannerverknüpfung auf ausgewählten Computern

Select Case UCase( strHostname )
  Case mpbScanner1
	showScannerEpson()
  
  Case mpbScanner2
	showScannerEpson()

  Case bzbScanner1
	showScannerEpson()

  Case bzbScanner2
	showScannerEpson()

  Case bzbScanner3
	showScannerEpson()
	
  Case icaScanner1
	showScannerHP()
	' WScript.Echo "Scanner Link " & icaScanner1  
  
End Select


